Jump to content
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble

MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, register and become a site sponsor/subscriber and ads will be disabled automatically. 


bong.mau

tls 1,2 win xp sp3

Recommended Posts

Hi

env: win xp pro sp3 ...

a lot of https sites migrate to tls 1.2

i need to enable it with win xp....

i follow step by step

 

i'm able to see in advanced internet option tls 1.1 and tls 1.2.....

i select tls 1.2

but my ie8 is still unable to open tls 1.2 sites  here one https://comedonchisciotte.org/

any help will be appreciated

regards ...Maurizio

Share this post


Link to post
Share on other sites

further info ...
i follow the msfn guide :
"Enable TLS 1.1 and 1.2 in Windows XP correctly"
i modified register...
i installed the two updates
i modified again the register
then i was able to see tls 1.1. and tls 1.2 choices in internet option...
i select tls 1.2
but still ie8 was not able to display tls 1.2 sites
what i'm worong ?

Share this post


Link to post
Share on other sites

It seems that the site uses TLS 1.3. Such a site in XP can only be opened in Firefox / Basilisk or 360 Extreme Explorer.

 

Безымянный.png

Share this post


Link to post
Share on other sites

Or you can install ProxHTTPSProxy v1.5, which supports TLS 1.3:

On 1/31/2019 at 4:05 PM, heinoganda said:

Have new build generated by ProxHTTPSProxy v1.5 (Rev3a), with small changes script, various python modules updated, config.ini supplemented by some entries, CA certificates (cacert.pem) updated and alternativ cacert.pem from MSCerts (Cert_Updater) 11/28/2018.
If anyone has interest please write a PM to me.

Info:
At Python 3.44 the support ends in March 2019. With the latest cryptography module version 2.5 (Jan 22, 2019) ProxHTTPSProxy does not work on Windows XP anymore. Last working version 2.4.2 (Nov 21, 2018).

:)

 

  • Upvote 1

Share this post


Link to post
Share on other sites
Posted (edited)
7 hours ago, ED_Sln said:

It seems that the site uses TLS 1.3

... Actually, this statement is not entirely accurate; the site does indeed support TLS protocol versions down to even v1.0:

https://www.ssllabs.com/ssltest/analyze.html?d=comedonchisciotte.org&s=104.24.109.160

DY87nqV.jpg

However, adding TLS 1.2 protocol support to an OS (XP in this case) is one thing, but adding support for needed Cypher Suites to match that protocol is, sadly, another thing!

If you inspect closely the supported cypher suites for even TLS 1.0 (natively supported in XP's IE8), you'll see that only Elliptic Curve (ECDHE) Suites are accepted by that site, but, unfortunately, ECC is NOT supported under Windows XP, thus the secure connection can't be established!

Under Vista SP2, I have also enabled TLS 1.2 protocol in IE9 (via a set of MS updates - Server 2008 intended - and hacks similar to those available under XP) and there IE9 has no issues connecting with TLS 1.2:

j5DypjB.jpg

FWIW, it even connects with plain TLS 1.0 (when I manually disable 1.1 & 1.2):

mCg39zV.jpg

So, in this specific case, it's all about the OS, not the protocol only...

Edited by VistaLover
  • Like 1

Share this post


Link to post
Share on other sites
10 minutes ago, Mathwiz said:

Or you can install ProxHTTPSProxy v1.5, which supports TLS 1.3:

According to this, latest version is v1.5 Rev 3c; sadly, I haven't been following very closely the progress of that project lately, but was under the impression it could only go as far as TLS 1.2; @heinoganda, would you be so kind as to verify that actual support for TLS 1.3 Final has been indeed achieved? :dubbio:Best wishes and congratulations for your efforts :thumbup

Share this post


Link to post
Share on other sites

It seems to be fine.
IE8 with HTTPSProxy.

Image1.thumb.jpg.388ce09904de100d70b3ea4051cd9efe.jpg

:thumbup

  • Like 1
  • Upvote 1

Share this post


Link to post
Share on other sites

Thanks to all for the great support !!
i search last win xp supported version ..according to
" ProxHTTPSProxy does not work on Windows XP anymore. Last working version 2.4.2 (Nov 21,2018)."
i have a test machine,i will install product and provide feedback


Share this post


Link to post
Share on other sites
Posted (edited)

@heinoganda has built a more up to date version of HTTPSProxy that works on XP.
A lot of us are using it.
PM him to ask about it.
:)

Edited by Dave-H
Amendment

Share this post


Link to post
Share on other sites
Posted (edited)

Test in IE8 with HTTPSProxy v1.5 REV3c

IE8Test.jpg

I recommend using a more up-to-date web browser.

:)

Edited by heinoganda
  • Like 1

Share this post


Link to post
Share on other sites

Hi  heinoganda

thanks for the quick answer ! ...tomorrow i will proceed installing proxy

I'm running  firefox 52.6.0esr and chrome  49.0.2623.112  (last xp  version) ..Firefox is able to open the site,chrome and IE8 not

win xp run very fast on my  old laptop, and i do not want to change OS....

Share this post


Link to post
Share on other sites
1 minute ago, bong.mau said:

Firefox is able to open the site,chrome and IE8 not

With HTTPSProxy v1.5 REV3c the website works in Google Chrome as well.

:)

Share this post


Link to post
Share on other sites
1 hour ago, bong.mau said:

I'm running  firefox 52.6.0esr

... Is there any specific reason you had not upgraded to the more secure 52.9.0esr version? 52.9.0esr is the last 52ESR build to have been officially released (and, of course, the last :angry: version of Firefox that would support XP/Vista), there shouldn't be any compatibility issues (extensions-wise or other) between what you now have (52.6.0esr) and the last of its breed, 52.9.0esr... Have you disabled application updates in Firefox? I was under the impression 52.6.0esr would auto-update to 52.9.0esr :dubbio:

Best regards :)

  • Upvote 1

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...